net.sf.jasperreports.charts

## Interface JRTimeAxisFormat

- All Known Subinterfaces:
    JRCandlestickPlot, JRHighLowPlot, JRTimeSeriesPlot
  All Known Implementing Classes:
    JRBaseCandlestickPlot, JRBaseHighLowPlot, JRBaseTimeSeriesPlot, JRDesignCandlestickPlot, JRDesignHighLowPlot, JRDesignTimeSeriesPlot, JRFillCandlestickPlot, JRFillHighLowPlot, JRFillTimeSeriesPlot

      public interface JRTimeAxisFormat

  Version:
    $Id: JRTimeAxisFormat.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getOwnTimeAxisLabelColor()`
    `java.awt.Color` | `getOwnTimeAxisLineColor()`
    `java.awt.Color` | `getOwnTimeAxisTickLabelColor()`
    `java.awt.Color` | `getTimeAxisLabelColor()`
    `JRFont` | `getTimeAxisLabelFont()`
    `java.awt.Color` | `getTimeAxisLineColor()`
    `java.awt.Color` | `getTimeAxisTickLabelColor()`
    `JRFont` | `getTimeAxisTickLabelFont()`
    `java.lang.String` | `getTimeAxisTickLabelMask()`
    `java.lang.Boolean` | `getTimeAxisVerticalTickLabels()`

- - ### Method Detail

    - #### getTimeAxisLabelFont

          JRFont getTimeAxisLabelFont()

    - #### getTimeAxisLabelColor

          java.awt.Color getTimeAxisLabelColor()

    - #### getOwnTimeAxisLabelColor

          java.awt.Color getOwnTimeAxisLabelColor()

    - #### getTimeAxisTickLabelFont

          JRFont getTimeAxisTickLabelFont()

    - #### getTimeAxisTickLabelColor

          java.awt.Color getTimeAxisTickLabelColor()

    - #### getOwnTimeAxisTickLabelColor

          java.awt.Color getOwnTimeAxisTickLabelColor()

    - #### getTimeAxisTickLabelMask

          java.lang.String getTimeAxisTickLabelMask()

    - #### getTimeAxisVerticalTickLabels

          java.lang.Boolean getTimeAxisVerticalTickLabels()

    - #### getTimeAxisLineColor

          java.awt.Color getTimeAxisLineColor()

    - #### getOwnTimeAxisLineColor

          java.awt.Color getOwnTimeAxisLineColor()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com